using System;
// Framework Imports
using com.plumtree.uiinfrastructure.editor;
namespace com.plumtree.portalpages.admin.serversettings.general
{
  /// <author>$author$</author>
  public interface ISetServerSettingsModelRO : IEditorModelRO
  {
    
    /// <returns></returns>
    bool GetAllowNumericAuthentication();
    
    /// <returns></returns>
    bool GetAutoAssignNumericID();
    
    /// <returns></returns>
    String GetDefaultLocale();
    
    /// <returns></returns>
    String GetDefaultTimeZone();
    
    /// <returns></returns>
    String GetDocumentDisplayURL();
    
    /// <returns></returns>
    bool GetEnableAccountLocking();
    //	/**
    //	 * 
    //	 *
    //	 * @return 
    //	 */
    //	public String GetIncomingSearchURL();
    
    /// <returns></returns>
    String GetSoapServerURL();
    
    /// <returns></returns>
    String GetSharedFilesPath();
    
    /// <returns></returns>
    int GetMinutesToLockAccounts();
    
    /// <returns></returns>
    int GetMinutesToTrackFailedLogins();
    
    /// <returns></returns>
    int GetNumberOfFailedLoginsAllowed();
    
    /// <returns></returns>
    String GetPrimaryWebServerURL();
    
    /// <returns></returns>
    Object[] GetServerSettings();
    
    /// <returns></returns>
    bool GetAllowUserCreation();
    
    /// <returns></returns>
    bool GetEnableSubportalRulesDebugMode();
    
    /// <returns></returns>
    bool GetEnablePortletErrorsDebugMode();
  }
}