using System;
using com.plumtree.portalpages.common.uiparts;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.browsing.gateway
{
  // import com.plumtree.portaluiinfrastructure.error.*;
  // 
  
  /// <author>daniilk</author>
  public class GatewayErrorDP : PlumtreeDP
  {
    public static String STR_MVC_CLASS_NAME = "GatewayError";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.portalpages.common.uiparts.PlumtreeDP#GetSubtitleForBanner()"></seealso>
    public override String GetSubtitleForBanner()
    {
      return "";
    }
    
    /// <seealso cref="com.plumtree.portalpages.common.uiparts.PlumtreeDP#GetTitleForBanner()"></seealso>
    public override String GetTitleForBanner()
    {
      // m_asOwner.GetString(624, "ptmsgs_portalbrowsingmsgs");
      return "";
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.form.AFormDP#PageDisplay()"></seealso>
    public override HTMLElement PageDisplay()
    {
      // TODO CR not used, commenting out.
      //GatewayModel gwModel = (GatewayModel) m_asOwner.GetModel(GatewayModel.strModelName);
      HTMLElement result = new HTMLElementCollection();
      result.AddInnerHTMLString("<B>" + m_asOwner.GetString(623, "ptmsgs_portalbrowsingmsgs") + "</B>\r\n" + 
      // the following line can stay non-localized, since it's going to be in the HTML comments
      // and will not be displayed in the browser.
      "<!-- GetTextBody call returned NULL. There was a problem accessing gateway content. -->");
      return result;
    }
  }
}