package com.plumtree.portalpages.rest;

/**
 * Abstract base class for the mechanics of REST errors.
 */
public abstract class ARESTErrors implements IRESTError
{
	protected int m_nCode;
	protected String m_strMessage;

	protected ARESTErrors(int _nCode, String _strMessage)
	{
		m_nCode = _nCode;
		m_strMessage = _strMessage;

		RESTErrors.AddRestError(this);
	}

	/**
	 * @see com.plumtree.portalpages.rest.IRESTError.GetCode()
	 */
	public int GetCode()
	{
		return m_nCode;
	}

	/**
	 * @see com.plumtree.portalpages.rest.IRESTError.GetMessage()
	 */
	public String GetMessage()
	{
		return m_strMessage;
	}
}