using System;
using junit.framework;
using xpunit.framework;
using com.plumtree.portaluiinfrastructure.test.classtypedescriptors.classtypes;
using com.plumtree.portaluiinfrastructure.test.opener.plugins;
namespace com.plumtree.portaluiinfrastructure.test.friendlyurl
{
  public class FriendlyURLTestSuite
  {
    public const String SUITENAME = "Friendly URL Unit Tests";
    public static Test suite()
    {
      XpTestSuite suite = new XpTestSuite(SUITENAME);
      suite.addTestSuite(typeof(FriendlyURLParserManagerTest));
      suite.addTestSuite(typeof(FriendlyURLParserTest));
      suite.addTestSuite(typeof(CommunityFriendlyURLParserTest));
      suite.addTestSuite(typeof(KDFriendlyURLParserTest));
      suite.addTestSuite(typeof(APIFriendlyURLParserTest));
      suite.addTestSuite(typeof(FriendlyURLTest));
      suite.addTestSuite(typeof(FriendlyURLPluginTest));
      suite.addTestSuite(typeof(PTCommunitiesTest));
      suite.addTestSuite(typeof(PTCommunitiesTestURLGeneration));
      suite.addTestSuite(typeof(PTDocumentsTest));
      suite.addTestSuite(typeof(PTMyPagesTest));
      suite.addTestSuite(typeof(PTDocFoldersTest));
      suite.addTestSuite(typeof(FriendlyGatewayURLFilterTest));
      return suite;
    }
  }
}