package com.plumtree.portaluiinfrastructure.friendlyurl;

public class FriendlyURLConstants 
{
	
	public static final String FRIENDLY_GATEWAY_URL = "-1";
	
	/**
	 * DCA - the class Id used in the FriendlyURLs.xml file to indicate the debug/ui keyword
	 */
	public static final String DEBUG_UI_CLASS_ID = "-51";
	
	/**
	 * DCA - the class Id used in the FriendlyURLs.xml file to indicate the debug/memory keyword
	 */
	public static final String DEBUG_MEMORY_CLASS_ID = "-52";
	
	/**
	 * DCA - the class Id used in the FriendlyURLs.xml file to indicate the debug/portal keyword
	 */
	public static final String DEBUG_PORTAL_CLASS_ID = "-53";
	
	/**
	 * DCA - the class Id used in the FriendlyURLs.xml file to indicate the debug keyword
	 */
	public static final String DEBUG_CLASS_ID = "-50";

	/**
	 * the friendly URL key used in the FriendlyURLs.xml file to indicate the rest API keyword
	 */
	public static final int REST_API_ID = -100;

	/**
	 * the friendly URL key used in the FriendlyURLs.xml file to indicate the rest API keyword
	 */
	public static final String REST_API_ID_STRING = "-100";
	
	/**
	 * the friendly URL key used in the FriendlyURLs.xml file to indicate the Search keyword
	 */
	public static final int FRIENDLY_SEARCH_ID = -25;
	
	/**
	 * the friendly URL key used in the FriendlyURLs.xml file to indicate the Search keyword
	 */
	public static final String FRIENDLY_SEARCH_URL = "-25";
}
