package com.plumtree.taglib.common;

import com.plumtree.portaluiinfrastructure.tags.metadata.*;

/**
 * Meta-data for the core tag library.
 */
public class CommonTagLibraryData implements ITagLibraryMetaData
{
	public static final TagLibraryMetaData LIBRARY = new TagLibraryMetaData
		("Common Tags", "common",
		"This library provides a common set of tags that provide key " +
		"functionality across many different types of tag engine deployments.",
		1.0);

	public static final String SCOPE_REFERENCE = "See the Logic Tag Library " +
		"description for more details about valid scope arguments.";
}
