using System;
namespace com.plumtree.debug
{
  /////////////////////////////////////////////////////////////////////////////
  // Component (represents enum in PTDebugLib\PTDebugMasks.h)
  /////////////////////////////////////////////////////////////////////////////
  
  /// <summary>
  /// This class is deprecated; it exists only for backward compatibility. 
  /// Please use OpenLogger and OpenLogService in com.plumtree.openlog
  /// package.
  /// </summary>
  /// <deprecated>
  /// Do not use this class. Please use OpenLogger and OpenLogService 
  /// in com.plumtree.openlog package.
  /// </deprecated>
  public class Component
  {
    // Start at 1 because 0 is a dummy (PTGlobal) that shouldn't be accessed from the assembly
    public const int Tracing = 1;
    public const int PlumtreeDLL = 2;
    public const int GadgetProviders = 3;
    public const int AuthSourceProviders = 4;
    public const int PTUtility = 5;
    public const int UIUtilities = 6;
    public const int Search = 7;
    public const int Database = 8;
    public const int Job = 9;
    public const int CommonLib = 10;
    public const int Gateway = 11;
    public const int Transformers = 12;
    public const int WebDownloaderParallel = 13;
    public const int DataSourceProviders = 14;
    public const int SOAP = 15;
    public const int Wrappers = 16;
    public const int WebServicesSearch = 17;
    public const int WebServicesDirectoryAPI = 18;
    public const int WebServicesPortletAPI = 19;
    public const int WebServicesQueryAPI = 20;
    public const int WebServicesQueryInterfaceAPI = 21;
    public const int WebServicesSessionAPI = 22;
    public const int UI_Infrastructure = 23;
    public const int Portal_UI_Infrastructure = 24;
    public const int Portal_Admin = 25;
    public const int Portal_Browsing = 26;
    public const int Portal_Common = 27;
    public const int Portal_Portlets = 28;
    public const int Portal_Devices = 29;
    public const int Portal_UserProfile = 30;
    public const int Portal_Providers = 31;
    public const int Unified_Cache = 32;
  }
}