using System;
namespace com.plumtree.uiinfrastructure.activityspace
{
  /// <summary>
  /// This interface provides a common method of finding the name of an MVC object.
  /// </summary>
  /// <author>Don Hayler</author>
  public interface IMVCObject
  {
    
    /// <summary>
    /// Return the name of the MVC object.
    /// </summary>
    /// <returns>the name of the object.</returns>
    String GetName();
  }
}