using System;
namespace com.plumtree.uiinfrastructure.application.varpacks
{
  /// <author>MichaelD</author>
  public class AppConstants
  {
    
    /// <summary>
    /// DAP NOTE this is now the primary central constant for application name 
    /// </summary>
    public static readonly AppConstants MAIN_APPLICATION_NAME = new AppConstants("portal");
    
    /// <summary>
    /// The name of the constant 
    /// </summary>
    private String m_strName;
    
    /// <summary>
    /// Creates a new AppConstants object.
    /// </summary>
    /// <param name="_strName"></param>
    private AppConstants(String _strName)
    {
      m_strName = _strName;
    }
    
    /// <summary>
    /// Returns the string value of the constant
    /// </summary>
    /// <returns>the string value of the constant</returns>
    public virtual String ToString()
    {
      return m_strName;
    }
  }
}