using System;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.uiinfrastructure.form;
namespace com.plumtree.uiinfrastructure.filedownload
{
  /// <author>adolfoc</author>
  public abstract class AFileDownloadAS : AFormAS
  {
    public const String STR_MVC_CLASS_NAME = "FileDownload";
    protected String m_strModelName = "";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.AActivitySpace#Init()"></seealso>
    public override void Init()
    {
      //AGC- I don't think this was jumping correctly.
      m_strModelName = FileDownloadModel.STR_MVC_CLASS_NAME;
      base.Init();
      RegisterModel(m_strModelName, m_strModelName);
      IModel myModel = GetModel(m_strModelName);
      RegisterPage(new DownloadBinaryDP());
      RegisterPage(new DownloadFilePopupDP());
      RegisterControl(FileDownloadControl.STR_MVC_CLASS_NAME, myModel);
    }
  }
}