using System;
namespace com.plumtree.uiinfrastructure.opener
{
  /// <summary>
  /// Constants for use by the Common Opener.
  /// </summary>
  public class IOpenerConstants
  {
    // available common opener modes.
    public const int OPENER_MODE_CREATE = 0;
    public const int OPENER_MODE_EDIT = 1;
    public const int OPENER_MODE_VIEW = 2;
    public const int OPENER_MODE_VIEW_META_DATA = 3;
    public const int OPENER_MODE_SEARCH_BROWSE = 4;
    public const int OPENER_MODE_SEARCH_EDIT = 5;
    // common querystring name arguments. these
    // arguments are everywhere so keep them short.
    public const String QS_MODE = "mode";
    public const String QS_OPEN = "open";
    public const String QS_CLASSID = "clsID";
    public const String QS_OBJECTID = "objID";
    // to be deprecated querystring name arguments.
    public const String STR_QS_CLASSID = "in_hi_ClassID";
    public const String STR_QS_OBJECTID = "in_hi_ObjectID";
    public const String STR_QS_OPENER_MODE = "in_hi_OpenerMode";
    public const String STR_QS_CACHE_STATUS = "cached";
    public const String STR_QS_CONTROL_NAME = "control";
    public const String STR_QS_NEW_WINDOW = "in_hi_NewWindow";
    public const String STR_QS_CLOSEPOPUPONDONE = "bCloseOnDone";
  }
}