package com.plumtree.debug;

/////////////////////////////////////////////////////////////////////////////
// TraceType (represents enum in PTDebugLib\PTDebugMasks.h)
/////////////////////////////////////////////////////////////////////////////
/**
 * This class is deprecated; it exists only for backward compatibility. 
 * Please use OpenLogger and OpenLogService in com.plumtree.openlog
 * package.
 * 
 * @deprecated Do not use this class. Please use OpenLogger and OpenLogService 
 * in com.plumtree.openlog package.
 */
public class TraceType
{
	// Severity-based traces //
	public static final int Debug		= 0x1;		// Used to output extra debug information (typically used in an if (PT_DEBUG) block)
	public static final int Info		= 0x2;		// A trace level for normal operation
	public static final int Warn		= 0x4;		// Signals that something out of the normal has occured which is not very severe (like a portlet timeout)
	public static final int Error		= 0x8;		// An actual error which will cause problems has happened
	public static final int Fatal		= 0x10;		// Used very rarely -- a critical error which causes the whole system to stop (like not finding a database)

	// Special case traces //
	public static final int Function	= 1 << 5;	// Means the trace is related to entering or leaving a function
	public static final int Performance	= 1 << 6;	// Means the trace is used to measure performance
	public static final int Action	= 1 << 7;		// Means the trace is used to trace user actions
}
