package com.plumtree.uiinfrastructure.activityspace;

/**
 * This has HTTP header constants.
 */
public final class HTTPHeaderConstants
{
	/** Common header names */
	public static final String CONTENT_TYPE   = "Content-Type";
	public static final String CONTENT_LENGTH = "Content-Length";
	public static final String CONTENT_DISPOSITION = "Content-Disposition";
	public static final String CONTENT_LANGUAGE = "Content-Language";
	public static final String CACHE_CONTROL = "Cache-Control";
	public static final String PRAGMA = "Pragma";
	public static final String LAST_MODIFIED = "Last-Modified";
	public static final String EXPIRES = "Expires";	
}

