package com.plumtree.uiinfrastructure.approval;

import com.plumtree.openlog.*;
import com.plumtree.xpshared.htmlconstructs.*;

/**
 *
 * @author Ben Geislinger
 *
 */
public abstract class ApprovalItemType
{
	private static OpenLogger log = OpenLogService.GetLogger(
		OpenLogService.GetComponent("UI_Infrastructure"),
		"com.plumtree.uiinfrastructure.approval.ApprovalItemType");

	/**
	 *
	 *
	 * @return
	 */
	public abstract PTImageType GetItemImageType();

	/**
	 *
	 *
	 * @return
	 */
	public abstract int GetLocalizedNameIDPlural();

	/**
	 *
	 *
	 * @return
	 */
	public abstract int GetLocalizedNameIDSingular();

	/**
	 *
	 *
	 * @return
	 */
	public abstract String GetName();

	// ***CHANGE_HERE*** Update the class name below.
	public ApprovalItemType GetType(String s)
	{
		
			log.Error("GetType() - This method should not be called on this base class, it must be called on concrete subclasses.");
		

		return null;
	}

	/**
	 *
	 *
	 * @return
	 */
	public abstract String ToString();
}

