package com.plumtree.uiinfrastructure.approval;

import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.openfoundation.util.*;

/**
 *
 * @author $author$
 */
public interface IApprovalModelRO extends IEditorModelRO
{
	/**
	 *
	 *
	 * @return
	 */
	public abstract boolean AddColumnsHeaderForEachItem();

	/**
	 *
	 *
	 * @return
	 */
	public abstract boolean DisplayDescriptionImmediatelyUnderTitle();

	public String GetNoItemsDescription();

	public abstract boolean DisplayItemTypeHeaderAboveActionbar();



	/**
	 *
	 *
	 * @return
	 */
	public abstract boolean GetDisplaySelectAllButton();


	/**
	 *
	 *
	 * @return
	 */
	public boolean GetAddComment();

	/**
	 *
	 *
	 * @return
	 */
	public abstract boolean GetAllowClearingOfApprovalRequests();

	/**
	 *
	 *
	 * @param item
	 *
	 * @return
	 */
	public abstract boolean GetAllowClearingOfItem(AItemDescriptor item);

	/**
	 *
	 *
	 * @param type
	 * @return
	 */
	public abstract int GetCurrentPageIndex(ApprovalItemType type);

	/**
	 *
	 *
	 * @return
	 */

	//    public abstract ApprovalItemType GetCurrentType();

	/**
	 *
	 *
	 * @return
	 */
	public abstract ApprovalItemType GetDefaultItemType();

	/**
	 *
	 *
	 * @return
	 */
	public abstract boolean GetDisableRadioSelection();

	/**
	 *
	 *
	 * @return
	 */
	public abstract boolean GetDisplayHeadersForItemTypesWithNoItems();

	/**
	 *
	 *
	 * @param type
	 * @return
	 */
	public abstract boolean GetDisplayInstances(ApprovalItemType type);

	/**
	 *
	 *
	 * @return
	 */
	public abstract boolean GetDisplayStatusColumn();

	/**
	 *
	 *
	 * @param type
	 * @return
	 */
	public abstract boolean GetDisplayTypeHeader(ApprovalItemType type);

	/**
	 *
	 *
	 * @return
	 */
	public boolean DoSortSubmittedBy();

	/**
	 *
	 *
	 * @param type
	 * @return
	 */
	public abstract String GetEmptyTypeSectionSubTitle(ApprovalItemType type);

	/**
	 *
	 *
	 * @param type
	 * @return
	 */
	public abstract int GetHighItemIndexForCurrentPage(ApprovalItemType type);

	/**
	 *
	 *
	 * @param type
	 * @return
	 */
	public abstract int GetHighItemIndexForGivenPage(int i,
		ApprovalItemType type);

	/**
	 *
	 *
	 * @param type
	 * @return
	 */
	public IXPEnumerator GetItemDescriptors(ApprovalItemType type);

	/**
	 *
	 *
	 * @return
	 */
	public String GetItemID();

	/**
	 *
	 *
	 * @param type
	 * @return
	 */
	public abstract int GetLowItemIndexForCurrentPage(ApprovalItemType type);

	/**
	 *
	 *
	 * @param type
	 * @return
	 */
	public abstract int GetLowItemIndexForGivenPage(int i, ApprovalItemType type);

	/**
	 *
	 *
	 * @return
	 */
	public abstract String GetSubTitle();

	/**
	 *
	 *
	 * @return
	 */
	public XPArrayList GetSupportedItemTypes();

	/**
	 *
	 *
	 * @return
	 */
	public abstract String GetTitle();

	/**
	 *
	 *
	 * @param type
	 * @return
	 */
	public abstract int GetTypeCount(ApprovalItemType type);

	/**
	 *
	 *
	 * @return
	 */
	public abstract boolean IsDateSortable();

	/**
	 *
	 *
	 * @return
	 */
	public abstract boolean IsDescriptionEditable();

	/**
	 *
	 *
	 * @return
	 */
	public abstract boolean IsNameSortable();

	/**
	 *
	 *
	 * @return
	 */
	public abstract boolean IsSubmittedBySortable();

	/**
	 *
	 *
	 * @return
	 */
	public abstract boolean IsTitleEditable();

	/**
	 *
	 *
	 * @param type
	 *
	 * @return
	 */
	public int GetNumPagesAvailable(ApprovalItemType type);

	/**
	 *
	 *
	 * @param type
	 * @return
	 */
	public boolean IsNextPageAvailable(ApprovalItemType type);

	/**
	 *
	 *
	 * @param type
	 * @return
	 */
	public boolean IsPreviousPageAvailable(ApprovalItemType type);
	
	/**
	 *
	 *
	 * @return
	 */
	public boolean DisplayItemComment();
	
	/**
	 *
	 *
	 * @return
	 */
	public boolean DisplayViewItems();	
	
}
