package com.plumtree.uiinfrastructure.constants;

/**
 * This class contains constants for the document types used in j_config.xml
 * and n_config.xml in the DoctypeSpecification of the SystemProperties section.
 */
public class DocTypeConstants {
	public static final int DOCTYPE_CUSTOM_STRING = -1;
	public static final int DOCTYPE_NONE = 1;
	public static final int DOCTYPE_HTML_3_2 = 2;
	public static final int DOCTYPE_HTML_4_0 = 3;
	public static final int DOCTYPE_HTML_4_0_Frameset = 4;
	public static final int DOCTYPE_HTML_4_0_STRICT = 5;
}

