/*
 * Author: 	D. Phipps Apr 19, 2005
 */
package com.plumtree.uiinfrastructure.diagnostic.reporter;

import com.plumtree.uiinfrastructure.application.notification.*;

/**
 * Purpose:	Tracks individual reporting events that are errors.
 * 			This allows the reporter to retain hierarchical structure on its data.
 * 
 * @author DavidP
 */
public class EventLog
{
    public int taskID = 0;
    public int taskStep = 0;
    public String taskName = "";
    public String platformName = "";
    public String errorMessage = "";
    public String errorDescription = "";
    public String exceptionRecommendation = "";
    public ReturnValue retVal = null;
}
