package com.plumtree.uiinfrastructure.expandablelist.multicolumnlist;

import com.plumtree.uiinfrastructure.expandablelist.*;

// Framework Imports
import com.plumtree.xpshared.htmlconstructs.*;

/**
 * This interface is implemented by the Model. It contains all the read-only
 * mothods of the Model accessed by the Views.
 *
 * @author JohnH
 */
public interface IMultiColumnListModelRO extends IExpListModelRO
{
	/**
	 * Returns the numColumns.
	 *
	 * @return int
	 */
	public int GetNumColumns();

	/**
	 * @see com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetRowIcon()
	 */
	public PTImageType GetRowIcon();
}

