/**
 * Created on Dec 16, 2002
 * by adolfoc
 */
package com.plumtree.uiinfrastructure.filedownload;

import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.form.*;

/**
 * @author adolfoc
 *
 */
public abstract class AFileDownloadAS extends AFormAS
{
	public static final String STR_MVC_CLASS_NAME = "FileDownload";
	protected String m_strModelName = "";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.AActivitySpace#Init()
	 */
	public void Init()
	{
		//AGC- I don't think this was jumping correctly.
		m_strModelName = FileDownloadModel.STR_MVC_CLASS_NAME;

		super.Init();

		RegisterModel(m_strModelName, m_strModelName);

		IModel myModel = GetModel(m_strModelName);

		RegisterPage(new DownloadBinaryDP());
		RegisterPage(new DownloadFilePopupDP());
		RegisterControl(FileDownloadControl.STR_MVC_CLASS_NAME, myModel);
	}
}

