/**
 * Created on Dec 16, 2002
 * by adolfoc
 */
package com.plumtree.uiinfrastructure.filedownload;

import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * @author adolfoc
 *
 */
public class FileDownloadModel implements IModel
{
	public static final String STR_MVC_CLASS_NAME = "FileDownloadModel";
	private AActivitySpace m_asOwner		  = null;
	private String m_strContentTypeToDownload = "";
	private String m_strSessionKeyToDownload  = "";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IModel#CleanupTempData()
	 */
	public void CleanupTempData()
	{
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IModel#CleanupAllData()
	 */
	public void CleanupAllData()
	{
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new FileDownloadModel();
	}

	/**
	 * Returns the contentTypeToDownload.
	 * @return String
	 */
	public String GetContentTypeToDownload()
	{
		return m_strContentTypeToDownload;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Returns the sessionKeyToDownload.
	 * @return String
	 */
	public String GetSessionKeyToDownload()
	{
		return m_strSessionKeyToDownload;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IModel#Init(AActivitySpace)
	 */
	public void Init(AActivitySpace parent)
	{
		m_asOwner = parent;
	}

	/**
	 * Sets the contentTypeToDownload.
	 * @param contentTypeToDownload The contentTypeToDownload to set
	 */
	public void SetContentTypeToDownload(String contentTypeToDownload)
	{
		m_strContentTypeToDownload = contentTypeToDownload;
	}

	/**
	 * Sets the sessionKeyToDownload.
	 * @param sessionKeyToDownload The sessionKeyToDownload to set
	 */
	public void SetSessionKeyToDownload(String sessionKeyToDownload)
	{
		m_strSessionKeyToDownload = sessionKeyToDownload;
	}
}

