package com.plumtree.uiinfrastructure.form;

/**
 * This class implements the HTML to print out the Finish and Cancel
 * at the top of the form. This View is printed out by AFormDP.  To
 * turn this header on ... go to AFormDP::SetShowFormHeader()
 * 
 * This is the normal page header.
 * 
 * @author Don Hayler
 */
public class FormHeaderView extends AFormHeaderView
{
	/** Object Name */
	public static final String STR_MVC_CLASS_NAME = "FormHeader";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new FormHeaderView();
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}
}
