package com.plumtree.uiinfrastructure.opener;

/**
 * Constants for use by the Common Opener.
 */
public class IOpenerConstants
{
	// available common opener modes.
	public static final int OPENER_MODE_CREATE 			= 0;
	public static final int OPENER_MODE_EDIT 			= 1;
	public static final int OPENER_MODE_VIEW 			= 2;
	public static final int OPENER_MODE_VIEW_META_DATA 	= 3;
	public static final int OPENER_MODE_SEARCH_BROWSE 	= 4;
	public static final int OPENER_MODE_SEARCH_EDIT 	= 5;

	// common querystring name arguments. these
	// arguments are everywhere so keep them short.
	public static final String QS_MODE 		= "mode";
	public static final String QS_OPEN		= "open";
	public static final String QS_CLASSID 	= "clsID";
	public static final String QS_OBJECTID 	= "objID";

	// to be deprecated querystring name arguments.
	public static final String STR_QS_CLASSID 			= "in_hi_ClassID";
	public static final String STR_QS_OBJECTID 			= "in_hi_ObjectID";
	public static final String STR_QS_OPENER_MODE 		= "in_hi_OpenerMode";
	public static final String STR_QS_CACHE_STATUS 		= "cached";
	public static final String STR_QS_CONTROL_NAME 		= "control";
	public static final String STR_QS_NEW_WINDOW 		= "in_hi_NewWindow";
	public static final String STR_QS_CLOSEPOPUPONDONE 	= "bCloseOnDone";
}