using System;
using com.plumtree.portalpages.admin.editors.webservice;
using com.plumtree.portalpages.common.constants;
using com.plumtree.uiinfrastructure.expandablelist.multicolumnlist;
using com.plumtree.xpshared.htmlconstructs;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.admin.editors.webservice.plugins
{
  public class FormLoginFieldsPluginView : MultiColumnListView
  {
    public const String STR_MVC_CLASS_NAME = "FormLoginFieldsPluginView";
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
     */
     
    public override Object Create()
    {
      return new FormLoginFieldsPluginView();
    }
    /* (non-Javadoc)
     * Returns the Class name.
     *
     * @return String
     */
     
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.expandablelist.ExpListView#GetHTMLBelowActionBar()
     */
     
    protected override HTMLTable GetHTMLBelowActionBar()
    {
      HTMLTable myTable = base.GetHTMLBelowActionBar();
      int nNumColumns = 1;
      if (myTable == null)
      {
        myTable = new HTMLTable();
        myTable.SetBorder(CommonHTMLStrings.ZERO);
        myTable.SetWidth(CommonHTMLStrings.ONE_HUNDRED_PERCENT);
        myTable.SetCellPadding(CommonHTMLStrings.FIVE);
        myTable.SetCellSpacing(CommonHTMLStrings.ZERO);
      } else
      {
        nNumColumns = myTable.GetNumColsSpanned();
      }
      // aj: second row - instructions
      HTMLTableRow myRow = WSViewHelper.AddRow(myTable);
      //		WSViewHelper.AddLeftMargin(myRow, 5);
      myRow.SetStyleClass(PTStyleClass.OBJECT_CONTENT_BG);
      WSViewHelper.AddTextCell(myRow, CommonHTMLStrings.ONE, m_asOwner.GetString(2971,
       ResourceConstants.PORTALADMINMSGS));
      //		WSViewHelper.AddRightMargin(myRow, 5);
      return myTable;
    }
  }
}