package com.plumtree.portaluiinfrastructure.search;

import com.plumtree.openfoundation.util.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * @author CraigS
 *
 *  This is a search control that does nothing except the behavior
 *  implicit in its superclass (i.e. reconstructing a model if necessary).
 */
public class NullSearchControl extends SearchResultControl
{
	
	public static final String STR_MVC_CLASS_NAME = "reconstruct";

	/**
	 * 
	 *
	 * @return 
	 */
	public Object Create()
	{
		return new NullSearchControl();
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.portalpages.search.SearchResultControl#ExecuteSearchControl()
	 */
	protected Redirect ExecuteSearchControl(XPHashtable args, String key)

	{
		// Just display the page
		return null;
	}
}

