using System;
using com.plumtree.portaluiinfrastructure.tags.metadata;
namespace com.plumtree.taglib.common
{
  /// <summary>
  /// Meta-data for the core tag library.
  /// </summary>
  public class CommonTagLibraryData : ITagLibraryMetaData
  {
    public static readonly TagLibraryMetaData LIBRARY = new TagLibraryMetaData("Common Tags",
     "common", "This library provides a common set of tags that provide key " + "functionality across many different types of tag engine deployments.",
     1.0);
    public const String SCOPE_REFERENCE = "See the Logic Tag Library " + "description for more details about valid scope arguments.";
    }
}