using System;
namespace com.plumtree.uiinfrastructure.activityspace
{
  /// <summary>
  /// This has HTTP header constants.
  /// </summary>
  public sealed class HTTPHeaderConstants
  {
    
    /// <summary>
    /// Common header names 
    /// </summary>
    public const String CONTENT_TYPE = "Content-Type";
    public const String CONTENT_LENGTH = "Content-Length";
    public const String CONTENT_DISPOSITION = "Content-Disposition";
    public const String CONTENT_LANGUAGE = "Content-Language";
    public const String CACHE_CONTROL = "Cache-Control";
    public const String PRAGMA = "Pragma";
    public const String LAST_MODIFIED = "Last-Modified";
    public const String EXPIRES = "Expires";
  }
}