using System;
namespace com.plumtree.uiinfrastructure.activityspace
{
  /// <summary>
  /// This class contains constants for the ILink classes.
  /// </summary>
  public sealed class LinkConstants
  {
    
    /// <summary>
    /// URL constants -- use this for XPHttpUtility.URLEncode encoding 
    /// </summary>
    public const String UTF_8_ENCODING = "UTF-8";
    
    /// <summary>
    /// URL Constants for query string pairs 
    /// </summary>
    public const String QUESTION = "?";
    public const String AMPERSAND = "&";
    public const String EQUALS = "=";
    public const String XML_AMPERSAND = "&amp;";
  }
}