using System;
using com.plumtree.openlog;
using com.plumtree.xpshared.htmlconstructs;
namespace com.plumtree.uiinfrastructure.approval
{
  /// <author>Ben Geislinger</author>
  public abstract class ApprovalItemType
  {
    private static OpenLogger log = OpenLogService.GetLogger(OpenLogService.GetComponent("UI_Infrastructure"),
     "com.plumtree.uiinfrastructure.approval.ApprovalItemType");
    
    /// <returns></returns>
    public abstract PTImageType GetItemImageType();
    
    /// <returns></returns>
    public abstract int GetLocalizedNameIDPlural();
    
    /// <returns></returns>
    public abstract int GetLocalizedNameIDSingular();
    
    /// <returns></returns>
    public abstract String GetName();
    // ***CHANGE_HERE*** Update the class name below.
    public virtual ApprovalItemType GetType(String s)
    {
      log.Error("GetType() - This method should not be called on this base class, it must be called on concrete subclasses.");
      return null;
    }
    
    /// <returns></returns>
    public abstract String ToString();
  }
}