using System;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.uiinfrastructure.common
{
  public interface IDisplayJavascriptHelper
  {
    
    /// <summary>
    /// This helper method handles the processing of the DisplayJavascript PEIs.
    /// </summary>
    /// <param name="_asSession">The current space</param>
    /// <returns>
    /// HTMLScriptCollection the resulting javascript to be added to the pages.
    /// Can be null.
    /// </returns>
    HTMLScriptCollection DoDisplayJavascriptPEIs(AActivitySpace _asSession);
    }
}