using System;
namespace com.plumtree.uiinfrastructure.common
{
  /// <summary>
  /// Since we can't store a long in an XPHashtable, we have to use a container object
  /// There is no XPBigInt, so the TimeContainer class is made instead.
  /// It is nothing but a container.
  /// </summary>
  /// <author>
  /// scottc
  /// Created on May 3, 2003
  /// </author>
  public class TimeContainer
  {
    private long m_timeInMillis;
    public TimeContainer(long time)
    {
      m_timeInMillis = time;
    }
    public virtual long GetTime()
    {
      return m_timeInMillis;
    }
  }
}