using System;
namespace com.plumtree.uiinfrastructure.constants
{
  /// <summary>
  /// This class contains constants for the document types used in j_config.xml
  /// and n_config.xml in the DoctypeSpecification of the SystemProperties section.
  /// </summary>
  public class DocTypeConstants
  {
    public const int DOCTYPE_CUSTOM_STRING = -1;
    public const int DOCTYPE_NONE = 1;
    public const int DOCTYPE_HTML_3_2 = 2;
    public const int DOCTYPE_HTML_4_0 = 3;
    public const int DOCTYPE_HTML_4_0_Frameset = 4;
    public const int DOCTYPE_HTML_4_0_STRICT = 5;
  }
}