using System;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.uiinfrastructure.devices
{
  /// <author>SudhaS</author>
  public interface IDevicesView : IView
  {
    
    /// <summary>
    /// This method returns the HTMLElement that encompasses the output of the View.
    /// </summary>
    String DisplayString();
    
    /// <summary>
    /// This method initializes the View with the read only model interface it is
    /// supposed to draw it's data from as well as it's parent ActivitySpace
    /// (necessary to create URLS).
    /// </summary>
    void Init(IModelRO model, AActivitySpace parent);
  }
}