/*
 * Author: 	D. Phipps Apr 19, 2005
 */
 
using System;
using com.plumtree.uiinfrastructure.application.notification;
namespace com.plumtree.uiinfrastructure.diagnostic.reporter
{
  /// <summary>
  /// Purpose:\u0009Tracks individual reporting events that are errors.
  /// This allows the reporter to retain hierarchical structure on its data.
  /// </summary>
  /// <author>DavidP</author>
  public class EventLog
  {
    public int taskID = 0;
    public int taskStep = 0;
    public String taskName = "";
    public String platformName = "";
    public String errorMessage = "";
    public String errorDescription = "";
    public String exceptionRecommendation = "";
    public ReturnValue retVal = null;
  }
}