using System;
using com.plumtree.uiinfrastructure.expandablelist;
// Framework Imports
using com.plumtree.xpshared.htmlconstructs;
namespace com.plumtree.uiinfrastructure.expandablelist.multicolumnlist
{
  /// <summary>
  /// This interface is implemented by the Model. It contains all the read-only
  /// mothods of the Model accessed by the Views.
  /// </summary>
  /// <author>JohnH</author>
  public interface IMultiColumnListModelRO : IExpListModelRO
  {
    
    /// <summary>
    /// Returns the numColumns.
    /// </summary>
    /// <returns>int</returns>
    int GetNumColumns();
    
    /// <seealso cref="com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetRowIcon()"></seealso>
    PTImageType GetRowIcon();
  }
}