package com.plumtree.uiinfrastructure.activityspace;

/**
 * This interface provides a common method of finding the name of an MVC object.
 * 
 * @author Don Hayler
 */
public interface IMVCObject
{
	/**
	 * Return the name of the MVC object.
	 *
	 * @return the name of the object.
	 */
	public String GetName();
}

