package com.plumtree.uiinfrastructure.activityspace;

/**
 * This interface is used by the ASManager to return new instances of managed
 * objects.
 * 
 * @author Don Hayler
 */
public interface IManagedObject
{
	/**
	 * This method is used by the ASManager to return new instances of managed
	 * objects.
	 *
	 * @return A new instance of the managed class (i.e. return new Foo();)
	 */
	public Object Create();
}

