package com.plumtree.uiinfrastructure.arraywrapper;


/**
 * This interface is implemented by PTGrowableSortedArrayWrapper.
 * It contains the read-only methods of PTGrowableSortedArrayWrapper.
 *
 * Frameworks using the PTGrowableSortedArrayWrapper class
 * should only give access to this interface to their Views.
 *
 *  @author JulieF
 */
public interface IPTGrowableSortedArrayWrapperRO
{
	/**
	 * @see com.plumtree.uiinfrastructure.arraywrapper.PTSortedArrayWrapper#GetCount()
	 *
	 */
	public int GetCount();

	/**
	 * @see com.plumtree.uiinfrastructure.arraywrapper.PTSortedArrayWrapper#GetItems()
	 *
	 */
	public Object GetItem(int iRow, int iPropID);

	/**
	 * @see com.plumtree.uiinfrastructure.arraywrapper.PTSortedArrayWrapper#GetSort()
	 *
	 */
	public int[][] GetSort();
}

