package com.plumtree.uiinfrastructure.devices;

import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author SudhaS
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public abstract class ADevicesDP_PDA implements IDisplayPage {


	protected AActivitySpace m_asOwner;
	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IDisplayPage#Display(IWebData)
	 */
	public void Display(IWebData webData)
	{

		HTMLPage myPage = new HTMLPage();

		HTMLBody myBody = new HTMLBody();
		myBody.AddInnerHTMLElement(PageDisplay());

		HTMLHead myHead = new HTMLHead();

		myPage.SetHead(myHead);
		myPage.SetBody(myBody);


		webData.SetData(myPage);


	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IDisplayPage#GetOwner()
	 */
	public AActivitySpace GetOwner() {
		return m_asOwner;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IDisplayPage#Init(AActivitySpace)
	 */
	public void Init(AActivitySpace parent) {

		m_asOwner = parent;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName() {
		return null;
	}

	/**
	 * @return
	 */
	abstract public HTMLElement PageDisplay();

}

