package com.plumtree.uiinfrastructure.devices;

import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * @author SudhaS
 */
public interface IDevicesView extends IView
{
	/**
	 * This method returns the HTMLElement that encompasses the output of the View.
	 */
	public String DisplayString();

	/**
	 * This method initializes the View with the read only model interface it is
	 * supposed to draw it's data from as well as it's parent ActivitySpace
	 * (necessary to create URLS).
	 */
	public void Init(IModelRO model, AActivitySpace parent);
}

