package com.plumtree.uiinfrastructure.expandablelist.growablelist;

import com.plumtree.uiinfrastructure.expandablelist.*;

// Framework Imports
import com.plumtree.xpshared.htmlconstructs.*;

/**
 * This interface is implemented by the Model.
 * It contains all the read-only mothods of the Model
 * accessed by the Views.
 *
 * @author Julie Fournier
 */
public interface IGrowableListModelRO extends IExpListModelRO
{
	/**
	 * @see com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetAlertMessage()
	 *
	 */
	public String GetAlertMessage();

	/**
	 * @see com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetClientValidationType()
	 *
	 */
	public int GetClientValidationType();

	/**
	 * @see com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetRowIcon()
	 *
	 */
	public PTImageType GetRowIcon();
}

