package com.plumtree.uiinfrastructure.pagecontrols.jsdatetimepicker;

import com.plumtree.uiinfrastructure.pagecontrols.framework.*;
import com.plumtree.uiinfrastructure.pagecontrols.jsdatepicker.*;

import com.plumtree.xpshared.jsutil.*;

/**
 * JSDateTimePickerMgr is the ComponentMgr for JSDateTimePickerMgr and doesn't
 * currently do anything not handled by the JSDatePickerMgr which this class
 * extends.
 * 
 * @author John Osborne
 */
public class JSDateTimePickerMgr extends JSDatePickerMgr
{
	public static final String STR_CLASS_NAME = "JSDateTimePickerMgr";
	
	/**
	 * Creates a new JSDateTimePickerMgr object.
	 *
	 * @param _ptJSRegistry The JS Registry is needed to get the JS includes
	 * @param _ptJSCompVerMgr The component version manager interface allows us
	 * 		  to the version of this control that is registered with the
	 * 		  product as a whole
	 * @param _ptPageMgr The locale that should be used by the datepickers
	 * 		  under the control of this manager
	 */
	public JSDateTimePickerMgr(JSRegistry _ptJSRegistry, IJSComponentVersionMgr _ptJSCompVerMgr, PageMgr _ptPageMgr)
	{
		super(_ptJSRegistry, _ptJSCompVerMgr, _ptPageMgr);
	}
}

